//
//  IChatICQFixLoader.m
//  IChatICQFix
//
//  Created by Gernot Poetsch on 29.10.07.
//  Copyright 2007 Gernot Poetsch. All rights reserved.
//

#import "IChatICQFixLoader.h"


@implementation IChatICQFixLoader

+ (void)load;
{
	if ([[[NSBundle mainBundle] bundleIdentifier] isEqualToString:@"com.apple.iChat"]) {
		long version;
		if ((Gestalt(gestaltSystemVersion, &version) == noErr) && (version == 4176)) {
			NSDictionary *infoDictionary = [[NSBundle mainBundle] infoDictionary];
			if (infoDictionary && [[infoDictionary objectForKey:@"CFBundleShortVersionString"] floatValue] == 4.0) {
				NSString *path = [[NSBundle bundleForClass:[self class]] pathForResource:@"ActualIChatFix" ofType:@"bundle"];
				[[NSBundle bundleWithPath:path] load];
			} else {
				NSLog(@"The ICQ Fix for iChat only works with iChat 4.0");
			}
		} else {
			NSLog(@"The Fix for iChat only works on the original release version of OSX Leopard.");
		}
	}
}

+ (id)alloc;
{
	return nil;
}

@end
